Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ide2DCollection Class Reference

`#include <de2D.hpp>`

Inheritance diagram for Ide2DCollection:

[legend]
Collaboration diagram for Ide2DCollection:

[legend]
List of all members.

## Public Member Functions
virtual const deRect & | GetRect () const=0
| Get the rect used for clipping objects.
virtual void | SetRect (deRect &rect)=0
| Set the rect used for clipping objects.
virtual void | SetBGColor (deARGB color)=0
| Set the background color for this collection. You may specify alpha (0xff = opaque).
virtual deARGB | GetBGColor ()=0
| Get the background color for this collection.
virtual void | SetEnabled (deBoolean Enable)=0
virtual deBoolean | IsEnabled () const=0
| Get the rendering-enabled status of the collection.
virtual void | GetScrollValue (deVec3d &scroll) const=0
| Get the X & Y scroll offsets currently being used for this collection.
virtual void | SetScrollValue (const deVec3d &scroll)=0
| Set the X & Y scroll offsets for this collection.
virtual deBoolean | AddObject (Ide2DObject *object)=0
virtual deBoolean | RemoveObject (Ide2DObject *object)=0
virtual deBoolean | AdjustObjectDepth (Ide2DObject *object, deFloat Depth)=0
virtual deBoolean | AddSubCollection (Ide2DCollection *collection)=0
virtual deBoolean | RemoveSubCollection (Ide2DCollection *collection)=0
virtual deFloat | GetDepth () const=0
virtual deBoolean | SetDepth (deFloat Depth)=0
virtual deBoolean | Render (IdeDriver *Driver, deDouble DeltaTime, IdeRenderTexture *NullTex, IdeRender::deRenderStats *RenderStats, deBoolean DoOcclusion=(DE_FALSE))=0
virtual void | DestroyAllObjects (deBoolean SubCollectionsAlso=(DE_TRUE))=0
## Protected Member Functions
virtual | ~Ide2DCollection ()
virtual void | SetParent (Ide2DCollection *ParentCollection)=0

## Detailed Description

Used to collect 2D objects together and render them to the screen. Related functions: Ide2DObject_Create2DCollection. Related classes: Ide2DObject.

## Constructor & Destructor Documentation

virtual Ide2DCollection::~Ide2DCollection | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean Ide2DCollection::AddObject | ( | Ide2DObject * | object | ) | `[pure virtual]`

| Add a 2D object to this collection, so it may be rendered. This method invokes object->Claim() to increment the object's reference count. Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::AddSubCollection | ( | Ide2DCollection * | collection | ) | `[pure virtual]`

| Add a subordinate 2D collection to this one, so that its contents be rendered inside the extents of this one. This method invokes collection->Claim(). Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::AdjustObjectDepth | ( | Ide2DObject * | object,
|  | deFloat | Depth
| ) | `[pure virtual]`

| Adjust the depth value of a 2D object. This method invokes object->SetDepth(Depth). Implemented in de2DCollection.

virtual void Ide2DCollection::DestroyAllObjects | ( | deBoolean | SubCollectionsAlso = (DE_TRUE) | ) | `[pure virtual]`

| Destroy all the objects, and optionally all the sub-collections, contained by this collection. All destroyed sub-collections will also destroy their own sub-collections. Implemented in de2DCollection.

virtual deARGB Ide2DCollection::GetBGColor | ( |  | ) | `[pure virtual]`

| Get the background color for this collection. Implemented in de2DCollection.

virtual deFloat Ide2DCollection::GetDepth | ( |  | ) | const`[pure virtual]`

| Get the depth value used for sorting this collection into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. Implemented in de2DCollection.

virtual const deRect& Ide2DCollection::GetRect | ( |  | ) | const`[pure virtual]`

| Get the rect used for clipping objects. Implemented in de2DCollection.

virtual void Ide2DCollection::GetScrollValue | ( | deVec3d & | scroll | ) | const`[pure virtual]`

| Get the X & Y scroll offsets currently being used for this collection. Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::IsEnabled | ( |  | ) | const`[pure virtual]`

| Get the rendering-enabled status of the collection. Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::RemoveObject | ( | Ide2DObject * | object | ) | `[pure virtual]`

| Remove a 2D object from this collection. This method invokes object->Release() to decrement the object's reference count, possibly causing destruction. Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::RemoveSubCollection | ( | Ide2DCollection * | collection | ) | `[pure virtual]`

| Remove a subordinate 2D collection. This method invokes collection->Release(). Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::Render | ( | IdeDriver * | Driver,
|  | deDouble | DeltaTime,
|  | IdeRenderTexture * | NullTex,
|  | IdeRender::deRenderStats * | RenderStats,
|  | deBoolean | DoOcclusion = (DE_FALSE)
| ) | `[pure virtual]`

| Render all the objects and sub-collections contained by this collection. It is recommended that a user not call this explicitly, instead letting IdeRender handle this task. IdeRender::EndFrame invokes Ide2DCollection::Render for its attached 2d collection. Implemented in de2DCollection.

virtual void Ide2DCollection::SetBGColor | ( | deARGB | color | ) | `[pure virtual]`

| Set the background color for this collection. You may specify alpha (0xff = opaque). Implemented in de2DCollection.

virtual deBoolean Ide2DCollection::SetDepth | ( | deFloat | Depth | ) | `[pure virtual]`

| Set the depth value used for sorting this collection into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. This method, unlike Ide2DObject::SetDepth, will adjust the rendering order of this collection. Implemented in de2DCollection.

virtual void Ide2DCollection::SetEnabled | ( | deBoolean | Enable | ) | `[pure virtual]`

| Enable or disable a collection from rendering. Can be used in windowing systems to "minimize" the collection. Implemented in de2DCollection.

virtual void Ide2DCollection::SetParent | ( | Ide2DCollection * | ParentCollection | ) | `[protected, pure virtual]`

| Implemented in de2DCollection.

virtual void Ide2DCollection::SetRect | ( | deRect & | rect | ) | `[pure virtual]`

| Set the rect used for clipping objects. Implemented in de2DCollection.

virtual void Ide2DCollection::SetScrollValue | ( | const deVec3d & | scroll | ) | `[pure virtual]`

| Set the X & Y scroll offsets for this collection. Implemented in de2DCollection.

The documentation for this class was generated from the following file:

- de2D.hpp